安装的时候报错 composer update的时候也报错 这个bootstrap 会影响项目使用吗? 这个是什么问题呢 ?

安装报错 · liutianyi · 于 2个月前 发布 · 115 次阅读

本文由 liutianyi 创作,采用 知识共享署名 3.0 中国大陆许可协议 进行许可。 可自由转载、引用,但需署名作者且注明文章出处。

找了方法 执行了 之后还是报错 下面是我找的方法

本文由 liutianyi 创作,采用 知识共享署名 3.0 中国大陆许可协议 进行许可。 可自由转载、引用,但需署名作者且注明文章出处。

共收到 7 条回复
Fecshop#12个月前 0 个赞

会影响,重新 composer update 试试。

论坛有一些相关的帖子,也可以google搜一下,这个是yii2安装需要bootstrap库包没有安装导致的问题。

liutianyi#22个月前 0 个赞

不行 普通用户 composer update 和 root 用户composer update 都试了 不行
今天晚上回去 继续呢 昨天做到这一步 进行不下去了 :frowning: :frowning:

liutianyi#32个月前 0 个赞

不行

liutianyi#42个月前 0 个赞

![](https://i.loli.net/2019/04/12/5cb0256e24a28.png)

5楼 已删除.
Fecshop#62个月前 0 个赞

搜索一下这个报错,google,有一些相关的文章

这个报错只有极少数的人出,有时候失败,有时候成功,这个是yii2框架安装的报错问题。

如果实在解决不了,就用百度压缩文件包吧,里面有最新的文件

liutianyi#72个月前 1 个赞

好了 总结下解决方法
1、修改PHP配置文件php.ini,找到 disable_functions 字段,删除 escapeshellarg 。 2.重启php 3.重新执行 composer global require "fxp/composer-asset-plugin:^1.4.4" 4.跳到 fecshop 目录中 执行 composer update oK 了

感谢及时的回复

Fecshop#82个月前 0 个赞

@liutianyi [#7楼](#comment7)

把报错信息写到title中吧,方便遇到这个问题的人搜索解决问题

图片部分如果可以,将内容复制出来粘贴一下吧,这样方便搜索找到相关帖子,图片内容无法搜索

添加回复 (需要登录)
需要 登录 后方可回复, 如果你还没有账号请点击这里 注册
Your Site Analytics